# Create Feedback

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Create Feedback"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/feedback"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Adds user feedback to a specific response.
Use this endpoint to collect and store user ratings, comments, "
"or other feedback about the quality or relevance of a response.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"path","name":"pipeline_id","required":true,"schema":{"format":"uuid","title":"Pipeline ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"content":{"application/json":{"schema":{"properties":{"bookmarked":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Bookmarked"},"comment":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Comment"},"feedback_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"title":"Feedback Id"},"query_id":{"format":"uuid","title":"Query Id","type":"string"},"result_id":{"format":"uuid","title":"Result Id","type":"string"},"score":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Score"},"tags":{"anyOf":[{"items":{"format":"uuid","type":"string"},"type":"array"},{"type":"null"}],"title":"Tags"}},"required":["result_id","query_id"],"title":"CreateFeedback","type":"object"}}},"required":true}}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"api_key":{"anyOf":[{"properties":{"id":{"description":"The unique identifier of the API key with which the request was made.","format":"uuid","title":"API Key ID","type":"string"},"name":{"default":"","description":"Name of the API key.","title":"API Key Name","type":"string"}},"required":["id"],"title":"APIKey","type":"object"},{"type":"null"}]},"bookmarked":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Bookmarked"},"comment":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Comment"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"created_by":{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},"feedback_id":{"format":"uuid","title":"Feedback Id","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"pipeline_id":{"format":"uuid","title":"Pipeline Id","type":"string"},"result_id":{"format":"uuid","title":"Result Id","type":"string"},"score":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Score"},"search_history":{"properties":{"answer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Answer"},"context":{"anyOf":[{"type":"string"},{"additionalProperties":true,"type":"object"},{"items":{},"type":"array"},{"type":"null"}],"title":"Context"},"documents":{"items":{"additionalProperties":true,"type":"object"},"title":"Documents","type":"array"},"files":{"items":{"properties":{"id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Unique identifier of a file.","title":"File ID"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the file.","title":"File name"}},"title":"PipelineFeedbackFile","type":"object"},"title":"Files","type":"array"},"meta":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Meta"},"offsets_in_context":{"anyOf":[{"items":{"additionalProperties":{"type":"integer"},"type":"object"},"type":"array"},{"type":"null"}],"title":"Offsets In Context"},"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt"},"query_id":{"format":"uuid","title":"Query Id","type":"string"},"rank":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Rank"},"score":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Score"},"search":{"properties":{"created_at":{"description":"Specifies when the search query was run.","format":"date-time","title":"Created At","type":"string"},"duration":{"description":"The number of seconds the pipeline took to find the answer.","title":"Duration","type":"number"},"filters":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Shows which metadata filters were used for the search query.","title":"Search Filters"},"query":{"description":"The search query.","title":"Query","type":"string"}},"required":["created_at","duration","query"],"title":"FeedbackSearchQuery","type":"object"},"search_history_result_id":{"format":"uuid","title":"Search History Result Id","type":"string"},"type":{"title":"Type","type":"string"}},"required":["search_history_result_id","query_id","documents","type","rank","score","files","context","answer","meta","offsets_in_context","prompt","search"],"title":"SearchHistoryResultData","type":"object"},"tags":{"items":{"properties":{"created_by_user_id":{"format":"uuid","title":"Created By User Id","type":"string"},"name":{"title":"Name","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"pipeline_id":{"format":"uuid","title":"Pipeline Id","type":"string"},"tag_id":{"format":"uuid","title":"Tag Id","type":"string"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"}},"required":["name","tag_id","organization_id","workspace_id","pipeline_id","created_by_user_id"],"title":"FeedbackTag","type":"object"},"title":"Tags","type":"array"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"}},"required":["tags","result_id","feedback_id","organization_id","workspace_id","pipeline_id","created_by","created_at","search_history"],"title":"Feedback","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
